CREATE TABLE grc_excl_exclusion (
    ID                        NUMBER(19, 0) ,
    VERSION_ID                NUMBER(10, 0)     NOT NULL,
    EXCLUSION_TYPE_ID         NUMBER(10, 0) ,
    OBJECT_TYPE               VARCHAR2(1020),
    OBJECT_BIND_KEY           VARCHAR2(1020),
    READ_ONLY                 NUMBER(1, 0)      NOT NULL,
    OPERATOR                  NUMBER(10, 0) ,
    DATATYPE                  VARCHAR2(1020),
    DATAVALUE                 VARCHAR2(1020),
    ACTION_OBJECT_TYPE        VARCHAR2(1020),
    ACTION_OBJECT_BIND_KEY    VARCHAR2(1020),
    INACTIVE                  NUMBER(1, 0)      NOT NULL,
    DATASOURCE_ID             NUMBER(19, 0)     NOT NULL,
    SIMULATION_ID             NUMBER(19, 0) ,
    CREATION_DATE             TIMESTAMP(6)      NOT NULL,
    COMMENTS                  VARCHAR2(4000),
    CREATED_BY                VARCHAR2(256)     NOT NULL,
    LAST_UPDATED_BY           VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE          TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN         VARCHAR2(128) ,
    OBJECT_ID                 VARCHAR2(128) ,
    FUSION_OBJECT_ID          VARCHAR2(128) ,
    ID                        NUMBER(19, 0) ,
    VERSION_ID                NUMBER(10, 0)     NOT NULL,
    EXCLUSION_TYPE_ID         NUMBER(10, 0) ,
    OBJECT_TYPE               VARCHAR2(1020),
    OBJECT_BIND_KEY           VARCHAR2(1020),
    READ_ONLY                 NUMBER(1, 0)      NOT NULL,
    OPERATOR                  NUMBER(10, 0) ,
    DATATYPE                  VARCHAR2(1020),
    DATAVALUE                 VARCHAR2(1020),
    ACTION_OBJECT_TYPE        VARCHAR2(1020),
    ACTION_OBJECT_BIND_KEY    VARCHAR2(1020),
    INACTIVE                  NUMBER(1, 0)      NOT NULL,
    DATASOURCE_ID             NUMBER(19, 0)     NOT NULL,
    SIMULATION_ID             NUMBER(19, 0) ,
    CREATION_DATE             TIMESTAMP(6)      NOT NULL,
    COMMENTS                  VARCHAR2(4000),
    CREATED_BY                VARCHAR2(256)     NOT NULL,
    LAST_UPDATED_BY           VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE          TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN         VARCHAR2(128) ,
    OBJECT_ID                 VARCHAR2(128) ,
    FUSION_OBJECT_ID          VARCHAR2(128) ,
    CONSTRAINT pk_grc_excl_exclusion PRIMARY KEY (ID, ID)
);
